Tspi_Change_Auth(3)

NAME
Tspi_ChangeAuth - change the authorization data of an entity.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_ChangeAuth(TSS_HOBJECT hObjectToChange, TSS_HOBJECT hParentObject,
                           TSS_HPOLICY hNewPolicy );

DESCRIPTION

Tspi_ChangeAuth changes the authorization data (secret) of an entity (object) and assigns the object to the policy object. All classes using secrets provide this method for changing their authorization data.

PARAMETERS

  hObjectToChange
Handle of the object to change authorization for.

  hParentObject
Handle of the parent object wrapping the object addressed by hObjectToChange.

  hNewPolicy
Handle of the policy object providing the new authorization data.

RETURN CODES

Tspi_ChangeAuth returns TSS_SUCCESS on success,otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - Either hObjectToChange, or hParentObject are not a valid handle.

TSS_E_INTERNAL_ERROR - An error occurred internal to the TSS.

CONFORMING TO

Tspi_ChangeAuth conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_ChangeAuthAsym(3).